Holger's Java API

## com.antelmann.math
Interface DataParser<T>

All Known Implementing Classes:
  DefaultDataParser

    public interface DataParser<T>

specifies how a given entry can be parsed into multiple dimensions

Since:
  12.02.2009, 16:20:45
Author:
  Holger Antelmann
See Also:
  `DataMatrix`

Method Summary
`Object` `extractAxisValue(T entry, int axis)`
`Number` `extractNumber(T entry)`
`int` `getAxisCount()`
`String` `getAxisName(int axis)`
`Class<?>` `getAxisType(int axis)`

Method Detail

### getAxisCount

    int getAxisCount()

### getAxisType

    Class<?> getAxisType(int axis)

### getAxisName

    String getAxisName(int axis)

### extractNumber

    Number extractNumber(T entry)

### extractAxisValue

    Object extractAxisValue(T entry,
                            int axis)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads